org.apache.fop.render.ps

## Class ImageEncoderJPEG

- java.lang.Object
- - org.apache.fop.render.ps.ImageEncoderJPEG

All Implemented Interfaces:
  org.apache.xmlgraphics.ps.ImageEncoder

    public class ImageEncoderJPEG
    extends Object
    implements org.apache.xmlgraphics.ps.ImageEncoder

ImageEncoder implementation for JPEG images.

### Constructor Summary

Constructors
Constructor and Description
`ImageEncoderJPEG(org.apache.xmlgraphics.image.loader.impl.ImageRawJPEG jpeg)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getImplicitFilter()`
`void` `writeTo(OutputStream out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageEncoderJPEG

    public ImageEncoderJPEG(org.apache.xmlgraphics.image.loader.impl.ImageRawJPEG jpeg)

Main constructor

Parameters:
  `jpeg` - the JPEG image

### Method Detail

#### writeTo

    public void writeTo(OutputStream out)
                 throws IOException

Specified by:
  `writeTo` in interface `org.apache.xmlgraphics.ps.ImageEncoder`
Throws:
  `IOException`

#### getImplicitFilter

    public String getImplicitFilter()

Specified by:
  `getImplicitFilter` in interface `org.apache.xmlgraphics.ps.ImageEncoder`